Package: java.awt

## [Java] Class Container

- java.awt.Container

-     public class Container
      extends Object

  GDK enhancements for Container.

  displayName:
    Container
  receiverFqcn:
    java.awt.Container

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()` Removes all components from the Container.
    `` | `public Component` | `getAt(int index)` Support the subscript operator for Container.
    `` | `public Iterator<Component>` | `iterator()` Returns an Iterator which traverses the Container one Component at a time.
    `` | `public Container` | `leftShift(Component c)` Overloads the left shift operator to provide an easy way to add components to a Container.
    `` | `public int` | `size()` Provide the standard Groovy `size()` method for `Container`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public void clear()

      Removes all components from the Container.

      Since:
        1.6.4

    - #### public Component getAt(int index)

      Support the subscript operator for Container.

      Parameters:
        `index` - the index of the Component to get
      Returns:
        the component at the given index
      Since:
        1.6.4

    - #### public Iterator<Component> iterator()

      Returns an Iterator which traverses the Container one Component at a time.

      Returns:
        an Iterator for a Container
      Since:
        1.6.4

    - #### public Container leftShift(Component c)

      Overloads the left shift operator to provide an easy way to add components to a Container.

      Parameters:
        `c` - a Component to be added to the container.
      Returns:
        same container, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `Container`.

      Returns:
        the component count of the container
      Since:
        1.6.4